<template>
    <el-row class="infoCard">
        <el-col :span="8">
            <p>
                <i class="iconfont iconshishichuli"></i><span class="fontClass">实时算力</span>
            </p>
            <p><span style="color: #f49d37;font-family: 'PingFangSC-Regular';font-size:28px;font-weight: 600;">{{realtime}}</span></p>
        </el-col>
        <el-col style="width: 1px;height: 80%;margin-top: 10px;background: #DCDFE6">
        </el-col>
        <el-col :span="8">
            <p>
                <i class="iconfont iconrolling"></i><span class="fontClass">轮询算力</span>
            </p>
            <p><span style="color: #f49d37;font-family: 'PingFangSC-Regular';font-size:28px;font-weight: 600;">{{polling}}</span></p>
        </el-col>
        <el-col style="width: 1px;height: 80%;margin-top: 10px;background: #DCDFE6">
        </el-col>
        <el-col :span="7">
            <p>
                <i class="iconfont iconshuju"></i><span class="fontClass">数据栈算力</span>
            </p>
            <p><span style="color: #f49d37;font-family: 'PingFangSC-Regular';font-size:28px;font-weight: 600;">{{dataStack}}</span></p>
        </el-col>
    </el-row>      
</template>

<script>
export default {
    props: {
        realtime: {
            type: Number,
            default: 10
        },
        polling: {
            type: Number,
            default: 0
        },
        dataStack: {
            type: Number,
            default: 0
        },
    }
}
</script>
<style lang="scss">
    .infoCard {
        width: 100%;
        height: 100px;
        border: 1px solid #e2e2e2;
        box-shadow: 0px 0px 10px 5px rgba(0,0,0,0.1);
        border-radius: 3px;
        i {
            float: left;
            margin-left:10px;
            font-size: 28px;
            font-weight: 600;
            color: #3d68e1;
        }
        p {
            height: 45px;
            line-height: 45px;
            vertical-align: middle
        }
        .fontClass {
            float: left;
            margin-left: 10px;
            font-family: "PingFangSC-Regular";
            text-align: left;
            font-size: 14px;
            color: #222222;
            font-weight: 600;
        }
    }
</style>